# debugfs_remove_recursive was introduced in 2.6.27

if ! grep -q 'debugfs_remove_recursive' $srctree/include/linux/debugfs.h
then
    echo "I: enabling debugfs_remove_recursive compatibility" 1>&2
    echo "include/config.h:#define NEED_DEBUGFS_REMOVE_RECURSIVE"
    echo ".tmp.config.mk:export NEED_DEBUGFS_REMOVE_RECURSIVE := 1"
fi


if ! grep -q 'debugfs_create_size_t' $srctree/include/linux/debugfs.h
then
    echo "I: enabling debugfs_create_size_t compatibility" 1>&2
    echo "include/config.h:#define NEED_DEBUGFS_CREATE_SIZE_T"
    echo ".tmp.config.mk:export NEED_DEBUGFS_CREATE_SIZE_T := 1"
fi
